Skip to content

Apply

Request

Initiate automatic KYC. Transitions the application from CREATED status to SUBMITTED status. Once the async KYC process is completed, the application will move from SUBMITTED to another status.

Security
HTTPBearer
Path
application_idstring, (uuid)(Application Id)required
Headers
x-jiko-idempotencystring, (uuid)(X-Jiko-Idempotency)required

A UUID you generate to identify this request. Reusing a value that was already sent is rejected as a duplicate request.

x-jiko-signaturestring(X-Jiko-Signature)required

Base64-encoded HMAC-SHA256 hash of x-jiko-idempotency + request pathname + body, keyed with your shared secret. See Authentication for the full algorithm and a code sample.

curl -i -X POST \
  'https://your-partner-name.sandbox-api.jikoservices.com/api/v1/applications/{application_id}/apply/' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'x-jiko-idempotency: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'x-jiko-signature: string'

Responses

Successful Response

Bodyapplication/json
idstring, (uuid)(Id)required
time_createdstring, (date-time)(Time Created)required
updated_atstring, (date-time)(Updated At)required
phone_numberstring(Phone Number)required

Applicant's phone number. Note: It will be required to include country codes in accordance to the E.164 spec in a future release, or ^\+[1-9]\d{1,14}$.

exception_reasonsArray of strings(Exception Reasons)
Default:[]
emailstring, (email)(Email)required
statusstring(Status)required
Enum:"CREATED""PENDING""SUBMITTED""DOCUMENTS_NEEDED""APPROVED""REJECTED""MANUAL_REVIEW"
nameName (object) or nullrequired
Any of:
date_of_birthDateOfBirth (object) or nullrequired
Any of:
investment_profileInvestmentProfile (any) or nullrequired
Any of:

Investment profile contains information required by FINRA Suitability Rule 2111

customer_idstring or null(Customer Id)
Any of:

null until application status is APPROVED

string (uuid)
documentsArray of objects(Documents)
id_verification_documents_neededboolean(Id Verification Documents Needed)required
identification_number_verification_document_neededboolean(Identification Number Verification Document Needed)required
address_verification_document_neededboolean(Address Verification Document Needed)required
addressobject(ISOAddress)required

Address object

citizenship_countrystring or null(Citizenship Country)
Any of:

The applicant's citizenship country in ISO-3166 Alpha-2 format.

string
identification_number_issuing_countrystring or null(Identification Number Issuing Country)
Any of:

The country that issued the applicant's identification number. Country in ISO-3166 Alpha-2 format. Note: This field will be made mandatory in a future releases.

string
object_typestring(Object Type)read-onlyrequired
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "time_created": "2023-01-01T12:00:00Z", "updated_at": "2023-01-01T13:00:00Z", "status": "DOCUMENTS_NEEDED", "exception_reasons": [], "phone_number": "+14155550100", "agreement_consent": { "version": "1", "timestamp": "2023-01-01T12:00:00Z" }, "email": "jiko@example.com", "name": { "first_name": "Jiko", "last_name": "Customer" }, "date_of_birth": { "date_of_birth": "1970-01-01" }, "investment_profile": { "income": "BETWEEN_100K_AND_250K", "net_worth": "BETWEEN_1M_AND_5M", "occupation": "Investor", "employment_status": "EMPLOYED" }, "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e", "documents": [ { … }, { … }, { … }, { … } ], "id_verification_documents_needed": true, "identification_number_verification_document_needed": false, "address_verification_document_needed": false, "address": { "street_address": "2000 Allston Way", "city": "Berkeley", "postal_code": "94701", "state": "CA", "country": "US" }, "citizenship_country": "US", "identification_number_issuing_country": "US", "object_type": "InternationalApplication" }